% FindRLC.m

clear
A = imread('cameraman.tif');
[Height,Width,Depth] = size(A);
if Depth == 3
    I = double(rgb2gray(A));
else
    I = double(A);
end
H = zeros(1,63);
X = blkproc(I,[8 8],@dct2);% compute the 8 x 8 DCT
for r = 129:8:136
    for c = 129:8:136
        %x = round(X(r:r+7,c:c+7)/18);
        x = ceil(X(r:r+7,c:c+7)/16);
        %x = round(X(r:r+7,c:c+7)/22);
        [RL,Amp] = RLC(x);
        Indx = find(RL ~= 0);
        H(Indx) = H(Indx) + 1;
    end
end
        