% Example6_2.m
% Design and implement the 2D DPCM where
% xhat = a1*x(m,n-1) + a2*x(m-1,n) + a3*x(m-1,n-1)...
% + a4*x(m-1,n+1)is the predictor
% Use a uniform quantizer with 4 bits of quantization

clear, %close all
A = imread('cameraman.tif');
[Height,Width,Depth] = size(A);
if Depth > 1
    A1 = double(A(:,:,1));
else
    A1 = double(A);
end
%
Qtype = 'uniform'; % 'uniform' and 'nonuniform'
B = 5; % # bits of quantization
DPCM_2D(A1,Qtype,B);