% Example6_4.m
% Designs an ADPCM with pixel classification.
% The function ADPCM_Classify implements the
% 1D DPCM with neighborhood variance as the metric
% to classify a pixel. It uses 3 classes along with
% three uniform quantizers with B(1), B(2), and B(3) 
% number of bits of quantization.

clear, %close all
A = imread('cameraman.tif');
B = [3 7 6]; % # bits of quantization for the three quantizers
% Call ADPCM_Classify function to implement the ADPCM
ADPCM_Classify(A,B);
