% Energy.m

clear
A = imread('cameraman.tif');
[Height,Width] = size(A);
N = 4;
T = 99;
Y = blkproc(double(A),[N N],@dct2);
CoefVar = CalculateVar(Y,N);
y = CoefVar(:);
y = y/sum(y)*100;
Indx8 = find(cumsum(y)>T);
sprintf('percent of coefficients containing >  %s%% total energy = %5.2f\n',...
    num2str(T),((N^2-length(Indx8))/(N^2))*100)