function [HC,CL] = Huffman2(p)
%
N = length(p);
p1 = p;
M = zeros(N-1,N);
%HC = char(zeros(N,N));

for j = 1:N-1
    [p1,l] = sort(p1);
    M(j,:) = [l(1:N-j+1),zeros(1,j-1)];
    p1 = [p1(1)+p1(2),p1(3:N),1];
end
for j = 1:N-1
    C(j,:) = blanks(N*N);
end
C(N-1,N) = '0';
C(N-1,2*N) = '1';
for j = 2:N-1
    C(N-j,1:N-1) = C(N-j+1,N*(find(M(N-j+1,:)==1))...
        -(N-2):N*(find(M(N-j+1,:)==1)));
    C(N-j,N) = '0';
    C(N-j,N+1:2*N-1) = C(N-j,1:N-1);
    C(N-j,2*N) = '1';
    for k = 1:j-1
        C(N-j,(k+1)*N+1:(k+2)*N) = C(N-j+1,N*(find(M(N-j+1,:)==k+1)-1)...
        +1:N*(find(M(N-j+1,:)==k+1)));
    end
end
for j = 1:N
    HC(j,1:N) = C(1,N*(find(M(1,:) == j)-1) + 1:find(M(1,:) == j)*N);
    CL(j) = length(find(abs(HC(j,:) ~= 32)));
end
    