% TestQuantizer.m

A = imread('cameraman.tif');
A1 = double(A);
B = 5;
L = 2^B;
dMin = 0;
dMax = 255;
q = dMax/L;
q2 = q/2;
dR = linspace(dMin,dMax,L+1);
rL = zeros(L,1);
for k = 1:L
    rL(k) = dR(k)+q2;
end
B = round((A1/q2))*q2;
%
B1 = zeros(256,256);
for m = 1:256
    for n = 1:256
        for k = 1:L
            if A1(m,n)>dR(k) && A1(m,n)<=dR(k+1)
                B1(m,n) = rL(k);
            elseif A1(m,n)<= dR(1)
                    B1(m,n) = rL(1);
            elseif A1(m,n) > dR(L+1)
                B1(m,n) = rL(L);
            end
        end
    end
end
SNR1 = 20*log10(std2(A1)/std2(A1-B1));
SNR = 20*log10(std2(A1)/std2(A1-B));
sprintf('SNR1 = %4.2f\tSNR = %4.2f\n',SNR1,SNR)