% CodingGainDWT.m

clear
A = imread('cameraman.tif');  % read an image
[Height,Width,Depth] = size(A);
%
if Depth == 1
    A1 = double(A);
else
    A = double(rgb2ycbcr(A));
    A1 = A(:,:,1);
end
A = A1;
clear A1
%
[A1,H1,V1,D1] = dwt2(A,'haar');
energyA1 = sum(sum(A1 .* A1));
energyH1 = sum(sum(H1 .* H1));
energyV1 = sum(sum(V1 .* V1));
energyD1 = sum(sum(D1 .* D1));
energyDWT = energyA1 + energyH1 + energyV1 + energyD1;
energyImage = sum(sum(A .* A));
sprintf('Image var = %f\tDWT var = %f\n',energyImage,energyDWT)
