% TemporalCorr.m
% Compute the temporal correlation of a video sequence

clear
% table tennis sequence
%
inFile(1,:) = 'tt001.ras';
inFile(2,:) = 'tt002.ras';
inFile(3,:) = 'tt003.ras';
inFile(4,:) = 'tt004.ras';
inFile(5,:) = 'tt005.ras';
inFile(6,:) = 'tt006.ras';
inFile(7,:) = 'tt007.ras';
inFile(8,:) = 'tt008.ras';
inFile(9,:) = 'tt009.ras';
inFile(10,:) = 'tt010.ras';
inFile(11,:) = 'tt011.ras';
inFile(12,:) = 'tt012.ras';
inFile(13,:) = 'tt013.ras';
inFile(14,:) = 'tt014.ras';
inFile(15,:) = 'tt015.ras';
inFile(16,:) = 'tt016.ras';
%}
% Trevor sequence
%{
inFile(1,:) = 'twy001.ras';
inFile(2,:) = 'twy002.ras';
inFile(3,:) = 'twy003.ras';
inFile(4,:) = 'twy004.ras';
inFile(5,:) = 'twy005.ras';
inFile(6,:) = 'twy006.ras';
inFile(7,:) = 'twy007.ras';
inFile(8,:) = 'twy008.ras';
inFile(9,:) = 'twy009.ras';
inFile(10,:) = 'twy010.ras';
inFile(11,:) = 'twy011.ras';
inFile(12,:) = 'twy012.ras';
inFile(13,:) = 'twy013.ras';
inFile(14,:) = 'twy014.ras';
inFile(15,:) = 'twy015.ras';
inFile(16,:) = 'twy016.ras';
%}
%{
inFile(1,:) = 'clairey010.yuv';
inFile(2,:) = 'clairey011.yuv';
inFile(3,:) = 'clairey012.yuv';
inFile(4,:) = 'clairey013.yuv';
inFile(5,:) = 'clairey014.yuv';
inFile(6,:) = 'clairey015.yuv';
inFile(7,:) = 'clairey016.yuv';
inFile(8,:) = 'clairey017.yuv';
inFile(9,:) = 'clairey018.yuv';
inFile(10,:) = 'clairey019.yuv';
inFile(11,:) = 'clairey020.yuv';
inFile(12,:) = 'clairey021.yuv';
inFile(13,:) = 'clairey022.yuv';
inFile(14,:) = 'clairey023.yuv';
inFile(15,:) = 'clairey024.yuv';
inFile(16,:) = 'clairey025.yuv';
%}
figure
for m = 1:16
    A(m,:,:) = imread(inFile(m,:));
    B(:,:) = A(m,:,:);
    subplot(4,4,m),imshow(B)
end
[N,Height,Width] = size(A);
NumPix = Height * Width;
for m = 1:16
    T(m) = sum(sum(double(A(1,:,:)) .* double(A(m,:,:))))/NumPix;
end
T = T/max(T);
figure,plot(1:16,T,'k','LineWidth',2)
xlabel('Frame number')
ylabel('Normalized correlation')
axis([1 16 0.95 1])